/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizexcessconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizexcessconfig.entity.BizExcessConfig;
import vip.xiaonuo.biz.modular.bizexcessconfig.param.BizExcessConfigAddParam;
import vip.xiaonuo.biz.modular.bizexcessconfig.param.BizExcessConfigEditParam;
import vip.xiaonuo.biz.modular.bizexcessconfig.param.BizExcessConfigIdParam;
import vip.xiaonuo.biz.modular.bizexcessconfig.param.BizExcessConfigPageParam;

import java.util.List;

/**
 * 超限配置Service接口
 *
 * @author fanzherong
 * @date  2025/03/20 16:46
 **/
public interface BizExcessConfigService extends IService<BizExcessConfig> {

    /**
     * 获取超限配置分页
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     */
    Page<BizExcessConfig> page(BizExcessConfigPageParam bizExcessConfigPageParam);

    /**
     * 添加超限配置
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     */
    void add(BizExcessConfigAddParam bizExcessConfigAddParam);

    /**
     * 编辑超限配置
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     */
    void edit(BizExcessConfigEditParam bizExcessConfigEditParam);

    /**
     * 删除超限配置
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     */
    void delete(List<BizExcessConfigIdParam> bizExcessConfigIdParamList);

    /**
     * 获取超限配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     */
    BizExcessConfig detail(BizExcessConfigIdParam bizExcessConfigIdParam);

    /**
     * 获取超限配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 16:46
     **/
    BizExcessConfig queryEntity(String id);

    /**
     * 超限配置列表
     * @return
     */
    List<BizExcessConfig> getList();
}
