package vip.xiaonuo.biz.modular.bizorder.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class BizOrderExportTotal {
    /** 订单名称 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "订单名称"})
    private String orderName;

    /** 订单编号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "订单编号"})
    private String orderNumber;

    /** 客户名称 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "客户名称"})
    private String customerName;

    /** 订单重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "订单重量(吨)"})
    private BigDecimal orderWeight;

    /** 过磅重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "过磅重量(吨)"})
    private BigDecimal netWeight;

    /** 卸货重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "卸货重量(吨)"})
    private BigDecimal shippingWeight;

    /** 过磅重量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"订单计划统计", "实际托运重量(吨)"})
    private BigDecimal actualWeight;
}
