package vip.xiaonuo.biz.modular.record.result;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wulei
 * @date 2025/3/4
 * @Version 1.0
 * @Description TODO
 */
@Setter
@Getter
public class CompanyResult {

    @Schema(description = "单位名称")
    @ColumnWidth(20)
    @HeadStyle(fillPatternType = FillPatternTypeEnum.NO_FILL)
    @ExcelProperty({"统计分析", "单位名称"})
    private String companyName;

    @Schema(description = "总车次")
    @ColumnWidth(20)
    @HeadStyle(fillPatternType = FillPatternTypeEnum.NO_FILL)
    @ExcelProperty({"统计分析", "总车次"})
    private Integer totalCarNum;

    @Schema(description = "总净重")
    @ColumnWidth(20)
    @HeadStyle(fillPatternType = FillPatternTypeEnum.NO_FILL)
    @ExcelProperty({"统计分析", "总净重（吨）"})
    private BigDecimal totalNetWeight;

    @Schema(description = "总毛重")
    @ColumnWidth(20)
    @HeadStyle(fillPatternType = FillPatternTypeEnum.NO_FILL)
    @ExcelProperty({"统计分析", "总毛重（吨）"})
    private BigDecimal totalGrossWeight;

    @Schema(description = "总皮重")
    @ColumnWidth(20)
    @HeadStyle(fillPatternType = FillPatternTypeEnum.NO_FILL)
    @ExcelProperty({"统计分析", "总皮重（吨）"})
    private BigDecimal totalTareWeight;

}
